AI Services/Real-person Assets
Update asset group
Update the asset group name or description. Provide at least one field.
PATCH
/
api
/
ai
/
volcengine
/
assets
/
groups
/
{groupId}
Update asset group
curl --request PATCH \
--url https://aitoearn.cn/api/ai/volcengine/assets/groups/{groupId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "updated-avatar"
}
'import requests
url = "https://aitoearn.cn/api/ai/volcengine/assets/groups/{groupId}"
payload = { "name": "updated-avatar" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'updated-avatar'})
};
fetch('https://aitoearn.cn/api/ai/volcengine/assets/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/volcengine/assets/groups/{groupId}"
payload := strings.NewReader("{\n \"name\": \"updated-avatar\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"groupId": "string",
"name": "string",
"avatarType": "Virtual",
"createdAt": "2026-07-02T12:00:00.000Z",
"updatedAt": "2026-07-02T12:00:00.000Z",
"description": "string"
}
}Authorizations
Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".
Path Parameters
Asset group ID.
Body
application/json
Response
200 - application/json
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Business status code. 0 means success; non-zero means a business error.
Response message.
Hide child attributes
Hide child attributes
Asset group ID.
Asset group name.
Avatar type. Virtual means a regular group; RealPerson means a verified real-person group.
Available options:
Virtual, RealPerson Created at.
Updated at.
Asset group description.
Request ID.
Error response timestamp in Unix milliseconds.
Last modified on September 29, 2026
⌘I
Update asset group
curl --request PATCH \
--url https://aitoearn.cn/api/ai/volcengine/assets/groups/{groupId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "updated-avatar"
}
'import requests
url = "https://aitoearn.cn/api/ai/volcengine/assets/groups/{groupId}"
payload = { "name": "updated-avatar" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'updated-avatar'})
};
fetch('https://aitoearn.cn/api/ai/volcengine/assets/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/ai/volcengine/assets/groups/{groupId}"
payload := strings.NewReader("{\n \"name\": \"updated-avatar\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"groupId": "string",
"name": "string",
"avatarType": "Virtual",
"createdAt": "2026-07-02T12:00:00.000Z",
"updatedAt": "2026-07-02T12:00:00.000Z",
"description": "string"
}
}
